Find the answer to your Linux question:
Results 1 to 9 of 9
Hi folks, Debian 5.0 Gnome Iceweasel 3.0.6 Fail to browse YouTube with following warning; Code: Hello, you either have JavaScript turned off or an old version of Adobe's Flash Player. ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,763

    Can't start YouTube


    Hi folks,


    Debian 5.0
    Gnome
    Iceweasel 3.0.6

    Fail to browse YouTube with following warning;
    Code:
    Hello, you either have JavaScript turned off or an old version of Adobe's Flash Player. Get the latest Flash player.
    $ apt-cache policy flashplugin-nonfree
    Code:
    flashplugin-nonfree:
      Installed: 1:2.5~bpo50+1
      Candidate: 1:2.5~bpo50+1
      Version table:
     *** 1:2.5~bpo50+1 0
              1 http://www.backports.org lenny-backports/contrib Packages
            100 /var/lib/dpkg/status
    $ dpkg -l | grep flash
    Code:
    ii  flashplugin-nonfree                  1:2.5~bpo50+1               Adobe Flash Player - browser plugin
    Adobe Flash Player already installed. JavaScript on browser already checked.

    It works on other websites only having problem on YouTube. Please advise where shall I check and how to solve the problem? TIA

    B.R.
    satimis

  2. #2
    Administrator MikeTbob's Avatar
    Join Date
    Apr 2006
    Location
    Texas
    Posts
    7,864
    I'd try the latest from Adobe.
    Adobe - Adobe Flash Player
    I do not respond to private messages asking for Linux help, Please keep it on the forums only.
    All new users please read this.** Forum FAQS. ** Adopt an unanswered post.

    I'd rather be lost at the lake than found at home.

  3. #3
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,763
    Quote Originally Posted by MikeTbob View Post
    I'd try the latest from Adobe.
    Adobe - Adobe Flash Player
    Hi MikeTbob,

    Thanks for your advice.

    Before installing the latest version what I can't resolve is there was no problem yesterday. I just found it after starting the PC. I have reinstalled flashplugin-nonfree. It can't solve the problem

    B.R.
    satimis

  4. #4
    Administrator MikeTbob's Avatar
    Join Date
    Apr 2006
    Location
    Texas
    Posts
    7,864
    Quote Originally Posted by satimis View Post
    Hi MikeTbob,

    Thanks for your advice.

    Before installing the latest version what I can't resolve is there was no problem yesterday. I just found it after starting the PC. I have reinstalled flashplugin-nonfree. It can't solve the problem

    B.R.
    satimis
    It could be youtube related and not Flash.
    I do not respond to private messages asking for Linux help, Please keep it on the forums only.
    All new users please read this.** Forum FAQS. ** Adopt an unanswered post.

    I'd rather be lost at the lake than found at home.

  5. #5
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,763
    Quote Originally Posted by MikeTbob View Post
    It could be youtube related and not Flash.
    Hi,

    I don't know. Non of YouTube sites work

    The strange thing is Flash works on other websites playing video files. Also clicking the .flv files download on YouTube starts "Totem Movie Player 2.22.2" playing the file without problem.

    B.R.
    satimis

  6. #6
    Administrator MikeTbob's Avatar
    Join Date
    Apr 2006
    Location
    Texas
    Posts
    7,864
    Try opening them with Firefox or other browser.
    I do not respond to private messages asking for Linux help, Please keep it on the forums only.
    All new users please read this.** Forum FAQS. ** Adopt an unanswered post.

    I'd rather be lost at the lake than found at home.

  7. #7
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,763
    Quote Originally Posted by MikeTbob View Post
    Try opening them with Firefox or other browser.
    Hi MikeTbob,


    Iceweasel 3.0.6 is the only browser on Debian 5.0. I can't find Firefox on repo. Folks on Debian forum said Iceweasel is the same, only different in name.

    B.R.
    satimis

  8. #8
    Linux Guru Rubberman's Avatar
    Join Date
    Apr 2009
    Location
    I can be found either 40 miles west of Chicago, or in a galaxy far, far away.
    Posts
    11,158
    Iceweasel is simply firefox renamed. You should be able to install the Adobe flash plugin without any problems. You might need to update the player. It works just fine on YouTube for me, though sometimes the browser seems to forget how and I have to either reload the page, or restart the browser (worst case) to get it to work. I have no clue as to why that is, though it has been less and less of a problem over time. FWIW, the Adobe flash plugin is currently at version 10.0.32 or later. That is likely the reason you are getting the message about an outdated flash plugin on YouTube.
    Sometimes, real fast is almost as good as real time.
    Just remember, Semper Gumbi - always be flexible!

  9. #9
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,763
    Quote Originally Posted by Rubberman View Post
    Iceweasel is simply firefox renamed. You should be able to install the Adobe flash plugin without any problems. You might need to update the player. It works just fine on YouTube for me, though sometimes the browser seems to forget how and I have to either reload the page, or restart the browser (worst case) to get it to work. I have no clue as to why that is, though it has been less and less of a problem over time. FWIW, the Adobe flash plugin is currently at version 10.0.32 or later. That is likely the reason you are getting the message about an outdated flash plugin on YouTube.
    Hi Rubberman,

    Thanks for your advice.

    I got the problem fixed by running;
    Code:
    $ sudo update-flashplugin-nonfree --reinstall
    Now I can play YouTube.

    B.R.
    satimis

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •